mmseg.apis
--------------
.. automodule:: mmseg.apis
    :members:

mmseg.datasets
--------------

datasets
^^^^^^^^^^
.. automodule:: mmseg.datasets
    :members:

transforms
^^^^^^^^^^^^
.. automodule:: mmseg.datasets.transforms
    :members:

mmseg.engine
--------------

hooks
^^^^^^^^^^
.. automodule:: mmseg.engine.hooks
    :members:

optimizers
^^^^^^^^^^^^^^^
.. automodule:: mmseg.engine.optimizers
    :members:

mmseg.evaluation
--------------

metrics
^^^^^^^^^^
.. automodule:: mmseg.evaluation.metrics
    :members:

mmseg.models
--------------

backbones
^^^^^^^^^^^^^^^^^^
.. automodule:: mmseg.models.backbones
    :members:

decode_heads
^^^^^^^^^^^^^^^
.. automodule:: mmseg.models.decode_heads
    :members:

segmentors
^^^^^^^^^^
.. automodule:: mmseg.models.segmentors
    :members:

losses
^^^^^^^^^^
.. automodule:: mmseg.models.losses
    :members:

necks
^^^^^^^^^^^^
.. automodule:: mmseg.models.necks
    :members:

utils
^^^^^^^^^^
.. automodule:: mmseg.models.utils
    :members:


mmseg.structures
--------------------

structures
^^^^^^^^^^^^^^^^^
.. automodule:: mmseg.structures
    :members:

sampler
^^^^^^^^^^
.. automodule:: mmseg.structures.sampler
    :members:

mmseg.visualization
--------------------
.. automodule:: mmseg.visualization
    :members:

mmseg.utils
--------------
.. automodule:: mmseg.utils
    :members:
